# Billing Notices Billing Notices ## Gets all of the billing notices in the system. - [GET /billingNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/listbillingnotices.md): This method will scan all billing notices and and return them to the caller. ## Creates a new billing notice record that does not already exist. - [POST /billingNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/createbillingnotice.md): This method will auto-generate an ID and create a new billing notice. If an ID is specified for the billing notice, an error will be thrown. ## Execute Batch Operations - [POST /billingNotices/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a billing notice from the system by its ID. - [DELETE /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/deletebillingnotice.md): This method will delete a billing notice with the specified ID. ## Returns a billing notice from the system by its ID. - [GET /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/getbillingnotice.md): This method will look up a billing notice by the specified ID and return it back. ## Partially updates a billing notice with the specified ID. - [PATCH /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/patchbillingnotice.md): This method will patch an existing billing notice with the specified ID, using the HTTP PATCH specification. ## Updates a billing notice with the specified ID. - [PUT /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/updatebillingnotice.md): This method will update an existing billing notice with the specified ID.